// -*- C++ -*-

/* window_test_fontcombo.h
 * 
 * Copyright (C) 2000 GtkExtra-- Development Team  
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef HEADER_WINDOW_TESTICONLIST
#define HEADER_WINDOW_TESTICONLIST

#include <iostream>
#include <string>

#include "gtk--.h"
#include "gtk--/window.h"
#include <gtkextra--.h>

using SigC::bind;
using SigC::slot;
using namespace Gtk;
using namespace GtkExtra;

class Window_Test_FontCombo : public Gtk::Window
{
public:
  Window_Test_FontCombo();
  virtual ~Window_Test_FontCombo();
  
protected:

  //Signal handlers:
  void On_FontCombo_Changed();
  
  //'virtual function' signal overrides:
  gint delete_event_impl(GdkEventAny*);
  
protected:
  
  //Member widgets:
  Gtk::VBox m_VBox;
  GtkExtra::FontCombo m_FontCombo;
  Gtk::Entry m_Entry;

  std::string m_strDefaultText;

};

#endif //HEADER_WINDOW_TESTICONLIST
