// -*- C++ -*-

/* sheet_numeric.h
 * 
 * Copyright (C) 2000 GtkExtra-- Development Team  
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef HEADER_SHEET_NUMERIC
#define HEADER_SHEET_NUMERIC

#include <iostream>
#include <string>

#include "gtk--.h"
#include <gtkextra--.h>


using SigC::bind;
using SigC::slot;

class Sheet_Numeric : public GtkExtra::Sheet
{
public:
  Sheet_Numeric(gint rows, gint columns, const nstring& title);
  virtual ~Sheet_Numeric();
  
protected:

  //Signal handlers:
  virtual void on_set_cell(gint row, gint col);

  virtual bool format_text(GtkJustification& refJustification, const std::string& strInput, std::string& refstrFormatted); //bool indicate success.

};

#endif //HEADER_SHEET_NUMERIC
